<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class ExternalBlobReference extends \Google\Protobuf\Internal\Message
{
    


    protected $mediaKey = null;
    


    protected $directPath = null;
    


    protected $handle = null;
    


    protected $fileSizeBytes = null;
    


    protected $fileSha256 = null;
    


    protected $fileEncSha256 = null;

    













    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getMediaKey()
    {
        return isset($this->mediaKey) ? $this->mediaKey : '';
    }

    public function hasMediaKey()
    {
        return isset($this->mediaKey);
    }

    public function clearMediaKey()
    {
        unset($this->mediaKey);
    }

    




    public function setMediaKey($var)
    {
        GPBUtil::checkString($var, False);
        $this->mediaKey = $var;

        return $this;
    }

    



    public function getDirectPath()
    {
        return isset($this->directPath) ? $this->directPath : '';
    }

    public function hasDirectPath()
    {
        return isset($this->directPath);
    }

    public function clearDirectPath()
    {
        unset($this->directPath);
    }

    




    public function setDirectPath($var)
    {
        GPBUtil::checkString($var, True);
        $this->directPath = $var;

        return $this;
    }

    



    public function getHandle()
    {
        return isset($this->handle) ? $this->handle : '';
    }

    public function hasHandle()
    {
        return isset($this->handle);
    }

    public function clearHandle()
    {
        unset($this->handle);
    }

    




    public function setHandle($var)
    {
        GPBUtil::checkString($var, True);
        $this->handle = $var;

        return $this;
    }

    



    public function getFileSizeBytes()
    {
        return isset($this->fileSizeBytes) ? $this->fileSizeBytes : 0;
    }

    public function hasFileSizeBytes()
    {
        return isset($this->fileSizeBytes);
    }

    public function clearFileSizeBytes()
    {
        unset($this->fileSizeBytes);
    }

    




    public function setFileSizeBytes($var)
    {
        GPBUtil::checkUint64($var);
        $this->fileSizeBytes = $var;

        return $this;
    }

    



    public function getFileSha256()
    {
        return isset($this->fileSha256) ? $this->fileSha256 : '';
    }

    public function hasFileSha256()
    {
        return isset($this->fileSha256);
    }

    public function clearFileSha256()
    {
        unset($this->fileSha256);
    }

    




    public function setFileSha256($var)
    {
        GPBUtil::checkString($var, False);
        $this->fileSha256 = $var;

        return $this;
    }

    



    public function getFileEncSha256()
    {
        return isset($this->fileEncSha256) ? $this->fileEncSha256 : '';
    }

    public function hasFileEncSha256()
    {
        return isset($this->fileEncSha256);
    }

    public function clearFileEncSha256()
    {
        unset($this->fileEncSha256);
    }

    




    public function setFileEncSha256($var)
    {
        GPBUtil::checkString($var, False);
        $this->fileEncSha256 = $var;

        return $this;
    }

}

